function onBegin()
  if not (getFlag("gate_flagB")) then
    disableMovement()
    say("ssc2024_xolimono_HEYA")
    coroutine.yield(celeste.CutsceneEntity.CameraTo(vector2(6050, -1900), 1))
    say("ssc2024_xolimono_HEYB")
    run(92)
    say("ssc2024_xolimono_hi")
    setFlag("hi_mugs", true)
    setFlag("gate_flagB", true)
  end
end

function onEnd()
  setFlag("gate_flagB", true)
  enableMovement()
end